:root {
--site_width: var(--site_width_xl);
}


#wrapper {
    position: relative;
    width: 100%;
    background: var(--white100);
    overflow: hidden;
    z-index: 1;
}


#mmenuOverlay {
	width: 100vw;
	height: 0;
	position: fixed;
	top: 0;
	left: 0;
	z-index: 15;
	background-color: rgba(255, 255, 255, 0);
	transition: all 0.3s, ease-in-out 0.2s;
}


.overlay #mmenuOverlay, .mm-wrapper_opened #mmenuOverlay {
	width: 100vw;
	height: 100vh;
	position: fixed;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	background-color: rgba(255, 255, 255, .33);
	-webkit-backdrop-filter: blur(5px);
	backdrop-filter: blur(5px);
	transition: all 0.3s, ease-in-out 0.2s;
	cursor: pointer;
}


.headTop .inner,
.headBottom .inner,
main .inner,
footer .inner,
.mod_breadcrumb {
    position: relative;
    width: var(--site_width);
    margin: 0 auto;
}

header {
    position: relative;
    z-index: 200;
}



.headTop {
    background-color: var(--ci920);
    background: var(--gradient-grey-01);
    color: var(--textColorDark);
}

.headTop .inner {
    padding-inline: 1rem;
    display: flex;
    justify-content: space-between;
}


#logo {
    padding-block: 2rem;
}
.metaMode {
    display: flex;
}
.dark-mode-toggle {
    border: none;
    background: none;
    cursor: pointer;
    align-self: flex-start;
    padding-top: .75rem;
    padding-right: 1rem;
    display: none;
}
.dark-mode-toggle svg {
    width: 2rem;
    height: 2rem;
}
.darkmodeIcon {
    fill: var(--darkmodeIcon);
    transition: var(--animation_03);
}
.darkmodeIcon:hover {
    fill: var(--darkmodeIconHover);
    transition: var(--animation_03);
}

.headBottom {
    background-color: var(--lightTheme-blue01);
    background: var(--gradient-lightTheme-01);
    position: relative;
    box-shadow: var(--black033) 0px 1px 6px;
    z-index: 200;
}

.headBottom .inner {
    padding: 0 1rem;
    display: flex;
    justify-content: space-between;
}




#herosection, .herosection {
    position: relative;
    z-index: 5;
}




main {
    position: relative;
    background-color: var(--white100);
    margin: 0 auto;
    min-height: 75vh;
    overflow: hidden;
    z-index: 5;
}





footer {
    position: relative;
    width: 100%;
    padding-block: 4rem;
    background-color: var(--ci400);
    color: var(--white100);
    overflow: hidden;
    font-size:var(--font_size04);
    box-shadow: var(--black033) 0px 0px 6px 2px;
    z-index: 8;
    background-image: url(/files/theme/background-images/bg-footer.png) ;
    background-position: center center;
    background-size: cover;
}
footer .inner {
    display: flex;
    gap: 4rem;
}
.fooCol1 {
    flex: 0 1 33%;
    padding-right: 8%;
}
.fooAdr {
    padding-top: 1rem;
    font-family: var(--font_headline_xtraBold);
    font-style: normal;
    font-size: var(--font_size05);
    line-height: 1.7em;
}
.fooAdr a.email {
    background-image: var(--gradient-head-links-01);
    background-clip: text;
    color: transparent;
    animation: var(--animation_05);
}
.fooAdr a.email:hover {
    background-image: var(---gradient-head-links-02);
    animation: var(--animation_05);
}
.fooCol2 {
    flex: 0 1 13%;
}
.fooCol3 {
    flex: 0 1 22%;
}
.fooCol4 {
    flex: 0 1 18%;
}

.social--footer {
    position: absolute;
    top: 4rem;
    right: 1px;
    display: flex;
    flex-direction: column;
    gap: 1rem;
}






#toplink {
    width:44px;
    height:44px;
    padding: 0;
    border: 0px solid;
    border-radius: var(--radius_standard);
    right: 4rem;
    bottom: 2rem;
    position:fixed;
    background-color: var(--ci100);
    cursor: pointer;
    z-index:1000;
    display: flex;
    justify-content: center;
    align-items: center;
    transform: translateY(100px);
    opacity: 0;
    transition: var(--animation_05);
    box-shadow: var(--black050) 0px 0px 8px 4px

}
#toplink:hover {
    transition: var(--animation_02);
    box-shadow: var(--ci200) 0px 0px 8px 4px;
    animation: toplink 4s ease-in-out infinite;
}
@keyframes toplink {
    0% {
        box-shadow: var(--black050) 0px 0px 8px 4px;
    }
    50% {
        box-shadow: var(--ci200) 0px 0px 12px 6px;
    }
    100% {
        box-shadow: var(--black050) 0px 0px 8px 4px;
    }
}

#toplink.showTopLink {
    transform: translateY(0);
    opacity: 1;
    transition: var(--animation_05);
}




/* JL Artdesign */
#jla {
    margin-top: 3rem;
    padding-top: 3rem;
    padding-bottom: 3rem;
    border-top: 1px solid #cbcbd3;
    display: flex;
    justify-content: center;
    align-items: center;
}
#jla img {
    width: 283px;
    padding-right: 1rem;
}
#jla p {
    margin-bottom: 0;
    padding-top: .75rem;
    font-size: 0.875rem;
    line-height: 1.4em;
    color: #414140;
}
#jla span {
    color: #1a8bc4;
    transition: all 0.3s, ease-in-out 0.2s;
}
@media screen and (max-width: 785px) {
#jla {
  flex-direction: column;
}
#jla p {
    text-align: center;
}

}